Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.sandesha2.storage.beanmanagers
Interface SenderBeanMgr

All Superinterfaces:
  RMBeanManager

All Known Implementing Classes:
  InMemorySenderBeanMgr

    public interface SenderBeanMgr

extends RMBeanManager

Used to manage Sender beans.

Method Summary
`boolean` | `delete(java.lang.String MessageId)`
`java.util.List<SenderBean>` | `find(SenderBean bean)`
`java.util.List<SenderBean>` | `find(java.lang.String internalSequenceID)`
`SenderBean` | `findUnique(SenderBean bean)`
`SenderBean` | `getNextMsgToSend(java.lang.String sequenceId)`
`boolean` | `insert(SenderBean bean)`
`SenderBean` | `retrieve(java.lang.String MessageId)`
`SenderBean` | `retrieve(java.lang.String sequnceId, long messageNumber)`
`SenderBean` | `retrieveFromMessageRefKey(java.lang.String messageContextRefKey)` Deprecated.
`boolean` | `update(SenderBean bean)`

Method Detail

### delete

    boolean delete(java.lang.String MessageId)
                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieve

    SenderBean retrieve(java.lang.String MessageId)
                        throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### insert

    boolean insert(SenderBean bean)
                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### find

    java.util.List<SenderBean> find(SenderBean bean)
                                    throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### find

    java.util.List<SenderBean> find(java.lang.String internalSequenceID)
                                    throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### findUnique

    SenderBean findUnique(SenderBean bean)
                          throws SandeshaException

  Throws:
    `SandeshaException`

### getNextMsgToSend

    SenderBean getNextMsgToSend(java.lang.String sequenceId)
                                throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### update

    boolean update(SenderBean bean)
                   throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

### retrieveFromMessageRefKey

    SenderBean retrieveFromMessageRefKey(java.lang.String messageContextRefKey)

  Deprecated.

  Parameters:
    `messageContextRefKey` -
  Returns:

### retrieve

    SenderBean retrieve(java.lang.String sequnceId,
                        long messageNumber)
                        throws SandeshaStorageException

  Throws:
    `SandeshaStorageException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Apache Web Services Project. All Rights Reserved.